Delete a webhook

Deletes a webhook endpoint so it no longer receives event deliveries. Use this endpoint to delete a webhook through the Samva email API.

DELETE
/v1/webhooks/{id}

Deletes a webhook endpoint so it no longer receives event deliveries.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^wep_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

SuccessResponse

application/json
  1. response
success*boolean
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.webhooks.remove({  "id": "example"});
Example Response
{  "success": true}

Related documentation